# WOKBuilder_HSequenceOfEntity.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_WOKBuilder_HSequenceOfEntity.hxx>`
`#include <WOKBuilder_SequenceOfEntity.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_WOKBuilder_Entity.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_WOKBuilder_Entity
#define | Item_hxx <WOKBuilder_Entity.hxx>
#define | TheSequence WOKBuilder_SequenceOfEntity
#define | TheSequence_hxx <WOKBuilder_SequenceOfEntity.hxx>
#define | TCollection_HSequence WOKBuilder_HSequenceOfEntity
#define | TCollection_HSequence_hxx <WOKBuilder_HSequenceOfEntity.hxx>
#define | Handle_TCollection_HSequence Handle_WOKBuilder_HSequenceOfEntity
#define | TCollection_HSequence_Type_() WOKBuilder_HSequenceOfEntity_Type_()

## Functions

Handle_WOKBuilder_HSequenceOfEntity | ShallowCopy (const Handle_WOKBuilder_HSequenceOfEntity &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_WOKBuilder_HSequenceOfEntity

#define Item Handle_WOKBuilder_Entity

#define Item_hxx <WOKBuilder_Entity.hxx>

#define TCollection_HSequence WOKBuilder_HSequenceOfEntity

#define TCollection_HSequence_hxx <WOKBuilder_HSequenceOfEntity.hxx>

#define TCollection_HSequence_Type_ | (

)

WOKBuilder_HSequenceOfEntity_Type_()

#define TheSequence WOKBuilder_SequenceOfEntity

#define TheSequence_hxx <WOKBuilder_SequenceOfEntity.hxx>

## Function Documentation

Handle_WOKBuilder_HSequenceOfEntity ShallowCopy | ( | const Handle_WOKBuilder_HSequenceOfEntity & | me | ) | `[inline]`